package com.djhk.uav.equ.domain;


import com.djhk.common.annotation.Excel;
import com.djhk.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 equ_param_define
 *
 * @author ruoyi
 * @date 2023-06-05
 */
public class EquParamDefine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 参数编码 */
    private String paramCode;

    /** 参数名称 */
    @Excel(name = "参数名称")
    private String paramName;

    /** 取值类型 */
    @Excel(name = "取值类型")
    private String dataType;

    /** 小数位数 */
    @Excel(name = "小数位数")
    private Long decCnt;

    /** 最小值 */
    @Excel(name = "最小值")
    private Long minVal;

    /** 最大值 */
    @Excel(name = "最大值")
    private Long maxVal;

    /** 启动标志 */
    @Excel(name = "启动标志")
    private String useFlag;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Long showOrder;

    public void setParamCode(String paramCode)
    {
        this.paramCode = paramCode;
    }

    public String getParamCode()
    {
        return paramCode;
    }
    public void setParamName(String paramName)
    {
        this.paramName = paramName;
    }

    public String getParamName()
    {
        return paramName;
    }
    public void setDataType(String dataType)
    {
        this.dataType = dataType;
    }

    public String getDataType()
    {
        return dataType;
    }
    public void setDecCnt(Long decCnt)
    {
        this.decCnt = decCnt;
    }

    public Long getDecCnt()
    {
        return decCnt;
    }
    public void setMinVal(Long minVal)
    {
        this.minVal = minVal;
    }

    public Long getMinVal()
    {
        return minVal;
    }
    public void setMaxVal(Long maxVal)
    {
        this.maxVal = maxVal;
    }

    public Long getMaxVal()
    {
        return maxVal;
    }
    public void setUseFlag(String useFlag)
    {
        this.useFlag = useFlag;
    }

    public String getUseFlag()
    {
        return useFlag;
    }
    public void setShowOrder(Long showOrder)
    {
        this.showOrder = showOrder;
    }

    public Long getShowOrder()
    {
        return showOrder;
    }


}

